Subject: RE: 3gpp-analysis-04: necessity for protocol translators in sect 2.3 [issue 3]

From: <[email-masked]>
Date: Fri, 29 Aug 2003 16:35:34 +0300

Hi, Hesham & Pekka!

Very late reply to this issue (too): I agree with the text below and we can now make this issue "Accepted" in the issue tracker.
http://danforsberg.info:8080/draft-ietf-v6ops-3gpp-analysis/index

Cheers,
	-Juha-

-----Original Message-----
From: ext Soliman Hesham [mailto:[email-masked]]
Sent: 22 July, 2003 11:26
To: 'Pekka Savola'
Cc: [email-masked]
Subject: RE: 3gpp-analysis-04: necessity for protocol translators in
sect 2.3

This text is fine with me. 

Hesham

 > -----Original Message-----
 > From: Pekka Savola [mailto:[email-masked]]
 > Sent: Tuesday, July 22, 2003 4:22 AM
 > To: Soliman Hesham
 > Cc: [email-masked]
 > Subject: RE: 3gpp-analysis-04: necessity for protocol translators in
 > sect 2.3
 > 
 > 
 > On Tue, 22 Jul 2003, Soliman Hesham wrote:
 > >  > modify the last paragraph to (for example):
 > >  >                                                              
 > >  >                                           
 > >  >     Translators may be needed in some cases when the 
 > >  > communicating nodes
 > >  >     do not share the same IP version. 
 > > 
 > > => I don't have a strong opinion on this but
 > > a reader might ask "what do you do in the other cases?"
 > > Because you use "some" above after assuming two
 > > nodes with different IP stacks.
 > 
 > If this is a worry, we could expand it a bit, maybe like:
 > 
 >     Translators may be needed in some cases when the 
 > communicating nodes
 >     do not share the same IP version; in others, it may be 
 > possible to 
 >     avoid such communication altogether. Translation can 
 > actually happen
 >     at Layer 3 (using NAT-like techniques), Layer 4 (using a TCP/UDP
 >     proxy) or Layer 7 (using application relays).
 >  
 > (or just remove "in some cases", it's not really a problem for me.)
 > 
 > > Actually, I think maybe we should not associate
 > > translation with ALGs, after all, they don't actually
 > > translate.
 > 
 > If we'd do this, the above would hold without modifications. 
 >  I'm not sure
 > whether having proxies and such under translators is too big 
 > a stretch or
 > not (when you consider it from the end-to-end point of view, they
 > certainly do something..).  Removing it from here would 
 > certainly require
 > some new text and shift balances around quite a bit.
 > 
 > -- 
 > Pekka Savola                 "You each name yourselves king, yet the
 > Netcore Oy                    kingdom bleeds."
 > Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
 > 
 >